from cpl_query.extension import List
from discord import ScheduledEvent


class EventService:
    def __init__(self):
        self._active_events = List(ScheduledEvent)

    def add_event(self, event: ScheduledEvent):
        if self._active_events.contains(event):
            return

        self._active_events.add(event)

    def remove_event(self, event: ScheduledEvent):
        if not self._active_events.contains(event):
            return

        self._active_events.remove(event)
